Bug 1438895 - [RFE] RGW Data Log Trimming for MultisiteV2
Summary: [RFE] RGW Data Log Trimming for MultisiteV2
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.3
Hardware: All
OS: All
unspecified
high
Target Milestone: rc
: 2.3
Assignee: Casey Bodley
QA Contact: Tejas
Erin Donnelly
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1437916
TreeView+ depends on / blocked
 
Reported: 2017-04-04 17:10 UTC by Matt Benjamin (redhat)
Modified: 2017-07-30 15:42 UTC (History)
11 users (show)

(edit)
.The Ceph Object Gateway data logs are trimmed automatically

Previously, after data logs in the Ceph Object Gateway were processed by data syncs and were no longer needed, they remained in the Ceph Object Gateway host taking up space. Ceph now automatically removes these logs.
Clone Of:
(edit)
Last Closed: 2017-06-19 13:31:25 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1497 normal SHIPPED_LIVE Red Hat Ceph Storage 2.3 bug fix and enhancement update 2017-06-19 17:24:11 UTC

Description Matt Benjamin (redhat) 2017-04-04 17:10:43 UTC
Multisite sync is based on logs of data and metadata changes, which will continue to grow over time. Log entries should be trimmed periodically once it can be proved that no other zone will need to read them.

https://trello.com/c/4IWMXSWa/14-data-metadata-log-and-bucket-index-trimming-for-multisitev2

Data log Trimming has landed, metadata log and bucket index trimming are tracked in https://bugzilla.redhat.com/show_bug.cgi?id=1406523

Comment 2 Ken Dreyer (Red Hat) 2017-04-06 23:05:37 UTC
Matt and Casey, would you please confirm that this bug will be resolved in Ceph v10.2.7 and we don't need any downstream-specific patches on top of that?

Comment 3 Matt Benjamin (redhat) 2017-04-07 14:47:50 UTC
(In reply to Ken Dreyer (Red Hat) from comment #2)
> Matt and Casey, would you please confirm that this bug will be resolved in
> Ceph v10.2.7 and we don't need any downstream-specific patches on top of
> that?

Casey should ack, but my understanding is this is complete in v10.2.7.

Matt

Comment 4 Casey Bodley 2017-04-17 19:01:06 UTC
Data log trimming was tagged as a feature, so the relevant prs (https://github.com/ceph/ceph/pull/10372 and https://github.com/ceph/ceph/pull/10546) were not backported to jewel. I'll need to cherry-pick those.

Comment 5 Casey Bodley 2017-04-19 19:45:38 UTC
cherry-picked to ceph-2-rhel-patches

Comment 10 Tejas 2017-05-23 10:24:46 UTC
Verified in build:
10.2.7-16.el7cp

Comment 15 errata-xmlrpc 2017-06-19 13:31:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1497


Note You need to log in before you can comment on or make changes to this bug.